## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanParsedURI Class Reference

URI handling (hopefully) according to RFC2396. More...

`#include <XalanParsedURI.hpp>`

Collaboration diagram for XalanParsedURI:

List of all members.

## Public Types

- enum eComponent {
  d_scheme = 1,
  d_authority = 2,
  d_query = 4,
  d_fragment = 8
  }

## Public Methods

- XalanParsedURI ()
    Default constructor.
- XalanParsedURI ( const XalanDOMChar* uriString, XalanDOMString::size_type uriStringLen)
    Constructor which parses the passed in uri. More...
- XalanParsedURI ( const XalanDOMString &uriString)
    Constructor which parses the passed in uri. More...
- void parse ( const XalanDOMChar* uriString, XalanDOMString::size_type uriStringLen)
    Parse the passed in uri. More...
- void parse ( const XalanDOMString &uriString)
    Parse the passed in uri. More...
- XalanDOMString make () const
    Reassemble the uri components to make a complete URI. More...
- void resolve (const XalanParsedURI &base)
    Resolve this URI relative to another, according to RFC2396. More...
- void resolve ( const XalanDOMChar *base, const XalanDOMString::size_type baseLen)
    Resolve this URI relative to another. More...
- void resolve ( const XalanDOMString &base)
    Resolve this URI relative to another. More...
- const XalanDOMString& getScheme () const
    Get the scheme component.
- bool isSchemeDefined () const
    See if the scheme component is defined.
- void setScheme (const XalanDOMChar *scheme)
    Set the scheme component. More...
- void setScheme (const XalanDOMString &scheme)
    Set the scheme component. More...
- const XalanDOMString& getAuthority () const
    Get the authority component.
- bool isAuthorityDefined () const
    See if the authority component is defined.
- void setAuthority (const XalanDOMChar *authority)
    Set the authority component. More...
- void setAuthority (const XalanDOMString &authority)
    Set the authority component. More...
- const XalanDOMString& getPath () const
    Get the path component.
- void setPath (const XalanDOMChar *path)
    Set the path component.
- void setPath (const XalanDOMString &path)
    Set the path component.
- const XalanDOMString& getQuery () const
    Get function to get the query component.
- bool isQueryDefined () const
    See if the query component is defined.
- void setQuery (const XalanDOMChar *query)
    Set the query component. More...
- void setQuery (const XalanDOMString &query)
    Set the query component. More...
- const XalanDOMString& getFragment () const
    Get the fragment component.
- bool isFragmentDefined () const
    See if the fragment component is defined.
- void setFragment (const XalanDOMChar *fragment)
    Set the fragment component. More...
- void setFragment (const XalanDOMString &fragment)
    Set the fragment component. More...
- unsigned int getDefined () const
    Get the defined components mask.
- void setDefined (unsigned int defined)
    Set the defined components mask.

## Static Public Methods

- XalanDOMString resolve ( const XalanDOMChar *relative, XalanDOMString::size_type relativeLen, const XalanDOMChar *base, XalanDOMString::size_type baseLen )
    Resolve the one URI relative to another. More...
- XalanDOMString resolve ( const XalanDOMString &relative, const XalanDOMString &base )
    Resolve the one URI relative to another. More...

## Detailed Description

URI handling (hopefully) according to RFC2396.

## Member Enumeration Documentation

enum XalanParsedURI::eComponent

Enumeration values:

  d_scheme |
  d_authority |
  d_query |
  d_fragment |

## Constructor & Destructor Documentation

XalanParsedURI::XalanParsedURI ( | )

Default constructor.

XalanParsedURI::XalanParsedURI ( | const XalanDOMChar * uriString,
| XalanDOMString::size_type uriStringLen )

Constructor which parses the passed in uri.

Parameters:

  uriString | URI to parse
  uriStringLen | Length of the URI string

XalanParsedURI::XalanParsedURI ( | const XalanDOMString & uriString )

Constructor which parses the passed in uri.

Parameters:

  uriString | URI to parse

## Member Function Documentation

const XalanDOMString & XalanParsedURI::getAuthority ( | ) const`[]`

Get the authority component.

unsigned int XalanParsedURI::getDefined ( | ) const`[]`

Get the defined components mask.

const XalanDOMString & XalanParsedURI::getFragment ( | ) const`[]`

Get the fragment component.

const XalanDOMString & XalanParsedURI::getPath ( | ) const`[]`

Get the path component.

const XalanDOMString & XalanParsedURI::getQuery ( | ) const`[]`

Get function to get the query component.

const XalanDOMString & XalanParsedURI::getScheme ( | ) const`[]`

Get the scheme component.

bool XalanParsedURI::isAuthorityDefined ( | ) const`[]`

See if the authority component is defined.

bool XalanParsedURI::isFragmentDefined ( | ) const`[]`

See if the fragment component is defined.

bool XalanParsedURI::isQueryDefined ( | ) const`[]`

See if the query component is defined.

bool XalanParsedURI::isSchemeDefined ( | ) const`[]`

See if the scheme component is defined.

XalanDOMString XalanParsedURI::make ( | ) const

Reassemble the uri components to make a complete URI.

Returns:
  The reassembled URI

void XalanParsedURI::parse ( | const XalanDOMString & uriString )`[]`

Parse the passed in uri.

Parameters:

  uriString | URI to parse
  uriStringLen | Length of the URI string

void XalanParsedURI::parse ( | const XalanDOMChar * uriString,
| XalanDOMString::size_type uriStringLen )

Parse the passed in uri.

Parameters:

  uriString | URI to parse
  uriStringLen | Length of the URI string

XalanDOMString XalanParsedURI::resolve ( | const XalanDOMString & relative,
| const XalanDOMString & base )`[static]`

Resolve the one URI relative to another.

@relative The URI string to resolve @base The base URI string

XalanDOMString XalanParsedURI::resolve ( | const XalanDOMChar * relative,
| XalanDOMString::size_type relativeLen,
| const XalanDOMChar * base,
| XalanDOMString::size_type baseLen )`[static]`

Resolve the one URI relative to another.

@relative The URI string to resolve @relativeLen The lengh of the relative URI string @base The base URI string @baseLen The length of the base URI string

void XalanParsedURI::resolve ( | const XalanDOMString & base )`[]`

Resolve this URI relative to another.

Parameters:

  base | The base URI string

void XalanParsedURI::resolve ( | const XalanDOMChar * base,
| const XalanDOMString::size_type baseLen )`[]`

Resolve this URI relative to another.

Parameters:

  base | The base URI string
  baseLen | The length of the base URI

void XalanParsedURI::resolve ( | const XalanParsedURI & base )

Resolve this URI relative to another, according to RFC2396.

Parameters:

  base | The base URI to use during resolution.

void XalanParsedURI::setAuthority ( | const XalanDOMString & authority )`[]`

Set the authority component.

Also sets the authority defined flag.

void XalanParsedURI::setAuthority ( | const XalanDOMChar * authority )`[]`

Set the authority component.

Also sets the authority defined flag.

void XalanParsedURI::setDefined ( | unsigned int defined )`[]`

Set the defined components mask.

void XalanParsedURI::setFragment ( | const XalanDOMString & fragment )`[]`

Set the fragment component.

Also sets the fragment defined flag.

void XalanParsedURI::setFragment ( | const XalanDOMChar * fragment )`[]`

Set the fragment component.

Also sets the fragment defined flag.

void XalanParsedURI::setPath ( | const XalanDOMString & path )`[]`

Set the path component.

void XalanParsedURI::setPath ( | const XalanDOMChar * path )`[]`

Set the path component.

void XalanParsedURI::setQuery ( | const XalanDOMString & query )`[]`

Set the query component.

Also sets the query defined flag.

void XalanParsedURI::setQuery ( | const XalanDOMChar * query )`[]`

Set the query component.

Also sets the query defined flag.

void XalanParsedURI::setScheme ( | const XalanDOMString & scheme )`[]`

Set the scheme component.

Also sets the scheme defined flag.

void XalanParsedURI::setScheme ( | const XalanDOMChar * scheme )`[]`

Set the scheme component.

Also sets the scheme defined flag.

The documentation for this class was generated from the following file:

- XalanParsedURI.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.